--- a/jdk/test/sun/tools/jinfo/Basic.sh Wed Oct 26 12:29:22 2011 -0700
+++ b/jdk/test/sun/tools/jinfo/Basic.sh Thu Oct 27 17:23:25 2011 +0800
@@ -44,7 +44,19 @@
failed=0
-if [ $isWindows = false ]; then
+runSA=true
+
+if [ $isLinux = true ]; then
+ # Some Linux systems disable non-child ptrace (see 7050524)
+ ptrace_scope=`/sbin/sysctl -n kernel.yama.ptrace_scope`
+ if [ $? = 0 ]; then
+ if [ $ptrace_scope = 1 ]; then
+ runSA=false
+ fi
+ fi
+fi
+
+if [ $runSA = true ]; then
# -sysprops option
${JINFO} -J-XX:+UsePerfData -sysprops $appJavaPid
if [ $? != 0 ]; then failed=1; fi